#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - mutt preinstallation
#
# Copyright (c) 2005--2007 Alexander Dahl <post@lespocky.de>
#
# Creation:     2005-08-09  alex
# Last Update:  $Id: preinstall.sh 238 2007-04-13 22:21:44Z alex $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
PACKAGE='mutt'
VERSION='0.1.0'
NEEDED_BASE='1.2.0'

### check base version
if [ ! -f /var/install/bin/check-version ] || 
   [ `/var/install/bin/check-version base ${NEEDED_BASE}` = "new" ]
then
    /bin/echo
    /bin/echo
    /usr/local/bin/colecho "The version of eisfair must be $NEEDED_BASE or higher." rd w brinv
    /usr/local/bin/colecho "Please update your eisfair system first." rd w brinv
    /bin/echo
    /bin/echo
    exit 1
fi                               

### enable use of mecho
. /var/install/include/eislib

### check for installed sendmail
if [ ! -f /usr/sbin/sendmail ]
then
    /bin/echo
    /bin/echo
    mecho -warn "Didn't found sendmail. You will not be able to send"
    mecho -warn "outgoing mail. Please install package 'mail' or"
    mecho -warn "package 'vmail' to get sendmail."
    /bin/echo
    /bin/echo
    ANSWER=`/var/install/bin/ask "Continue installation of $PACKAGE anyway?"`
    if [ ! "$ANSWER" = "yes" ]
    then
        /bin/echo
        /bin/echo
        mecho -warn "Installation aborted."
        /bin/echo
        /bin/echo
        exit 1
    fi
fi

### check for installed gnupg (checkversion geht, weil wegen base sonst
###                                   schon abgebrochen wre)
if [ `/var/install/bin/check-version gnupg` = "not-installed" ]
then
    /bin/echo
    /bin/echo
    mecho "Package gnupg is not installed. Installation of gnupg is recommend"
    mecho "if you want to use signing and encryption of mails."
    /bin/echo
    /bin/echo
    ANSWER=`/var/install/bin/ask "Continue installation of $PACKAGE anyway?"`
    if [ ! "$ANSWER" = "yes" ]
    then
        /bin/echo
        /bin/echo
        mecho -warn "Installation aborted."
        /bin/echo
        /bin/echo
        exit 1
    fi
fi
                                                                                
### deinstall old package version
if [ -f "/var/install/deinstall/$PACKAGE" ]
then
    /var/install/deinstall/$PACKAGE update
fi
    
exit 0
